<div id="login-wrapper" [class.visible]="visible">
    <div class="login-overlay"></div>
    <div class="login-form" [class.open]="open" [class.emailOpen]="email">
        <img src="{{text.logo}}">
        <div class="mat-typography">
            <h1>{{text.title}}</h1>
            <button id="google" mat-raised-button (click)="login('google')" type="button">Login con google</button>
            <button id="email" mat-raised-button *ngIf="!email" (click)="openEmailForm()" type="button">Login con email</button>
            <form [formGroup]="loginForm" (ngSubmit)="emailLogin()">
                <mat-form-field>
                    <input matInput type="text" placeholder="Email" formControlName="email">
                    <mat-error *ngIf="loginForm.controls.email.invalid">{{getEmailErrorMessage()}}</mat-error>
                </mat-form-field>
                <mat-form-field>
                    <input matInput type="password" placeholder="Password" formControlName="password">
                    <mat-error *ngIf="loginForm.controls.password.invalid">Password necessaria</mat-error>
                </mat-form-field>
                <button mat-raised-button>Login</button>
            </form>
            <p>{{text.description}}</p>
        </div>
    </div>
</div>
